/*
 * File:    Main.java
 * Package: 
 * Project: Lekce02
 * 
 * Author : David Martinek
 * Address: Department of Intelligent Systems
 *          Faculty of Information Technology
 *          Brno University of Technology
 *          Bozetechova 2, 
 *          612 66 Brno, 
 *          Czech Republic
 * E-mail : martinek@fit.vutbr.cz
 * 
 * Created on 7.3.2005
 * (c) 2005, David Martinek
 * 
 * This project is provided under conditions of GNU General Public Licence.
 * The full text of GNU GPL in on internet: http://www.gnu.org/licenses/gpl.html
 * 
 * $Id$
 */

/**
 * Tento program vype tabulku s rozmry vech primitivnch datovch typ.
 *
 * @author David Martinek
 */
public class Main
{
  
  /**
   * Vytiskne tabulku s minimlnmi a maximlnmi hodnotami selnch typ.
   */
  public static void printNumBounds()
  {
    System.out.println("Byte");
    System.out.println("  min: " + Byte.MIN_VALUE);
    System.out.println("  max: " + Byte.MAX_VALUE);
    
    System.out.println("Short");
    System.out.println("  min: " + Short.MIN_VALUE);
    System.out.println("  max: " + Short.MAX_VALUE);

    System.out.println("Integer");
    System.out.println("  min: " + Integer.MIN_VALUE);
    System.out.println("  max: " + Integer.MAX_VALUE);

    System.out.println("Long");
    System.out.println("  min: " + Long.MIN_VALUE);
    System.out.println("  max: " + Long.MAX_VALUE);

    System.out.println("Float");
    System.out.println("  min: " + Float.MIN_VALUE);
    System.out.println("  max: " + Float.MAX_VALUE);

    System.out.println("Double");
    System.out.println("  min: " + Double.MIN_VALUE);
    System.out.println("  max: " + Double.MAX_VALUE);
    
    System.out.println("Character");
    System.out.println("  min: \'\\u0000\' (" + '\u0000' + ")");
    System.out.println("  max: \'\\uFFFF\' (" + '\uFFFF' + ")");
    
    System.out.println("Boolean");
    System.out.println("  min: " + false);
    System.out.println("  max: " + true);
  }
  
  
  /**
   * Startovn bod programu.
   * @param args Seznam argument pkazovho dku.
   */
  public static void main(String[] args)
  {
    printNumBounds();  // ze statick metody lze volat takto pmo pouze  
                       // jin statick metody te tdy 
  }
}

// end of file Main.java